Subject: Re: [PATCH net] net: lan743x: avoid netdev-based logging before netdev registration

From: Jakub Kicinski <[email-masked]>
Date: Wed, 27 May 2026 14:56:01 -0700

On Wed, 27 May 2026 17:27:13 +0000 David Thompson wrote:
> While preparing v2, I realized it makes more sense to add a module
> parameter to control the initial value of msg_enable, instead of
> hardcoding it during probe. I'll update v2 to include this change,
> which means I'll also need to keep the checks that were previously
> always true.

Sigh, no. Please don't perpetuate this stupid log categorization.
The module param is not present, that means nobody needs it.

Also when you repost please target net-next and drop the Fixes tag.
I don't think it will make the cut as a fix given Linus's message 
from -rc5 announcement.